Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.server
Interface ServerDiagnostics

public interface ServerDiagnostics

Provides a specific attribute of a ServerDirContext. The ID of the attribute is equal to ATTR_ID, and the value is an object that implements this interface.

See Also:
  `ServerDiagnosticsImpl`

Field Summary
`static java.lang.String` | `ATTR_ID` The attribute ID of this attribute.
`static java.lang.String` | `attrID` Deprecated. This member will be removed. Use ATTR_ID instead.

Method Summary
`int` | `getAlreadyDoingReallocCount()` Returns the number of times a connection is requested when a connection already exists.
`int` | `getBeingAbortedCount()` Returns the number of packets received for a connection being terminated.
`int` | `getBeingProcessedCount()` Returns the number of times a duplicate request was received during processing of the first request.
`int` | `getCurrentCPUUtilization()` Returns the current percentage of CPU utilization for the server.
`int` | `getDeAllocBeingProcessedCount()` Returns the number of times the server was deallocated because requests were still being processed.
`int` | `getDeAllocForgedPacketCount()` Returns the number of times the server was deallocated because a forged packet was received.
`int` | `getDeAllocInvalidSlotCount()` Returns the number of times an attempt was made to deallocate a connection slot that was not valid.
`int` | `getDeAllocStillTransmittingCount()` Returns the number of times the server was deallocated because information was still being transmitted.
`int` | `getDuplicateIsBeingSentAlreadyCount()` Returns the number of times a duplicate reply was requested when the reply had already been sent.
`int` | `getForgedPacketCount()` Returns the number of suspicious invalid packets received.
`int` | `getInvalidRequestTypeCount()` Returns the number of packets received which had an invalid request type or were received after the server was shut down.
`int` | `getInvalidSequenceNumCount()` Returns the number of request packets the server received from a connection where the sequence number in the packet did not match the current sequence number or the next sequence number.
`int` | `getInvalidSlotCount()` Returns the number of requests received for an invalid connection slot.
`int` | `getNetBIOSProgatedCount()` Returns the number of NetBIOS packets received that were sent forward.
`int` | `getNoAvailableConnsCount()` Returns the number of times no slots were available in the connection table for a new connection.
`int` | `getNoMemForStationCtrlCount()` Returns the number of times the server could not allocate memory to expand the connection table for a new connection.
`short` | `getNoReceiveBuffers()` Returns the number of times a packet was discarded because no buffers existed to receive it.
`short` | `getNoSpaceForService()` Reserved (pass 0).
`short` | `getNotMyNetwork()` Returns the number of received packets not destined for the server.
`int` | `getReallocSlotCameTooSoonCount()` Returns the number of times that a request came from a client to relog in before that client had been completely logged out.
`int` | `getReallocSlotCount()` Returns the number of times the server reallocated the same slot in the connection table for a client that logged out and relogged in.
`int` | `getReExecuteRequestCount()` Returns the number of times the requester did not receive the reply and the request had to be reprocessed.
`int` | `getReplyCanceledCount()` Returns the number of replies that were canceled because the connection was reallocated while the request was being processed.
`int` | `getSentDuplicateReplyCount()` Returns the number of request packets for which the server had to send a duplicate reply (sent only for requests the server cannot process).
`int` | `getSentPositiveAcknowledgeCount()` Returns the number of acknowledgments sent by the server (sent when a connection repeats a request being serviced).
`int` | `getServerUpTime()` Returns the time in ticks (about 1/18 second) since the server was started.
`int` | `getStartStationErrorCount()` Returns the number of times the server was unable to allocate a connection for any reason.
`int` | `getStillTransmittingCount()` Returns the number of times a new request is received before a reply to a previous request has been sent.
`short` | `getTooManyHops()` Returns the number of packets discarded because they had passed through more than 16 bridges without reaching their destination.
`int` | `getTotalPacketsRouted()` Returns the number of all packets forwarded by the server.
`int` | `getTotalPacketsServiced()` Returns the total packets received by the server.
`short` | `getUnknownNetwork()` Returns the number of packets discarded because their destination network was unknown to the server.
`int` | `getWriteHeldOffCount()` Returns the number of times that writes were delayed because of a pending TTS(tm) transaction or cache busy condition.
`int` | `getWriteHeldOffWithDupRequest()` Returns the number of times that writes were canceled since a duplicate request was received.
`void` | `setAlreadyDoingReallocCount(int value)` Sets as the search value the number of times that a connection is requested when a connection already exists.
`void` | `setBeingAbortedCount(int value)` Sets as the search value the number of packets received for a connection being terminated.
`void` | `setBeingProcessedCount(int value)` Sets as the search value the number of times a duplicate request was received during processing of the first request.
`void` | `setCurrentCPUUtilization(int utilization)` Sets as the search value the current percentage of CPU utilization for the server.
`void` | `setDeAllocBeingProcessedCount(int value)` Sets as the search value the number of times the server was deallocated because requests were still being processed.
`void` | `setDeAllocForgedPacketCount(int value)` Sets as the search value the number of times the server was deallocated because a forged packet was received.
`void` | `setDeAllocInvalidSlotCount(int value)` Sets as the search value the number of times an attempt was made to deallocate a connection slot that was not valid.
`void` | `setDeAllocStillTransmittingCount(int value)` Sets as the search value the number of times the server was deallocated because information was still being transmitted.
`void` | `setDuplicateIsBeingSentAlreadyCount(int value)` Sets as the search value the number of times a duplicate reply was requested when the reply had already been sent.
`void` | `setForgedPacketCount(int value)` Sets as the search value the number of suspicious invalid packets received.
`void` | `setInvalidRequestTypeCount(int value)` Sets as the search value the number of packets received that had an invalid request type or were received after the server was shut down.
`void` | `setInvalidSequenceNumCount(int value)` Sets as the search value the number of request packets the server received from a connection where the sequence number in the packet did not match the current or the next sequence number.
`void` | `setInvalidSlotCount(int value)` Sets as the search value the number of requests received for an invalid connection slot.
`void` | `setNetBIOSProgatedCount(int value)` Sets as the search value the number of NetBIOS packets received that were sent forward.
`void` | `setNoAvailableConnsCount(int value)` Sets as the search value the number of times no slots were available in the connection table for a new connection.
`void` | `setNoMemForStationCtrlCount(int value)` Sets as the search value the number of times the server could not allocate memory to expand the connection table for a new connection.
`void` | `setNoReceiveBuffers(short value)` Sets as the search value the number of times a packet was discarded because no buffers existed to receive it.
`void` | `setNoSpaceForService(short value)` Sets as the search value zero (0)because it is reserved.
`void` | `setNotMyNetwork(short value)` Sets as the search value the number of received packets not destined for the server.
`void` | `setReallocSlotCameTooSoonCount(int value)` Sets as the search value the number of times that a request came from a client to relog in before that client had been completely logged out.
`void` | `setReallocSlotCount(int value)` Sets as the search value the number of times the server reallocated the same slot in the connection table for a client that logged out and relogged in.
`void` | `setReExecuteRequestCount(int value)` Sets as the search value the number of times the requester did not receive the reply and the request had to be reprocessed.
`void` | `setReplyCanceledCount(int value)` Sets as the search value the number of replies that were canceled because the connection was reallocated while the request was being processed.
`void` | `setSentDuplicateReplyCount(int value)` Sets as the search value the number of request packets for which the server had to send a duplicate reply (sent only for requests the server cannot process).
`void` | `setSentPositiveAcknowledgeCount(int value)` Sets as the search value the number of acknowledgments sent by the server (sent when a connection repeats a request being serviced).
`void` | `setServerUpTime(int upTime)` Sets as the search value the time in ticks (about 1/18 second) since the server was started.
`void` | `setStartStationErrorCount(int value)` Sets as the search value the number of times the server was unable to allocate a connection for any reason.
`void` | `setStillTransmittingCount(int value)` Sets as the search value the number of times a new request is received before a reply to a previous request has been sent.
`void` | `setTooManyHops(short value)` Sets as the search value the number of packets discarded because they had passed through more than 16 bridges without reaching their destination.
`void` | `setTotalPacketsRouted(int value)` Sets as the search value the number of all packets forwarded by the server.
`void` | `setTotalPacketsServiced(int value)` Sets as the search value the total packets received by the server.
`void` | `setUnknownNetwork(short value)` Sets as the search value the number of packets discarded because their destination network was unknown to the server.
`void` | `setWriteHeldOffCount(int value)` Sets as the search value the number of times that writes were delayed because of a pending TTS(tm) transaction or cache busy condition.
`void` | `setWriteHeldOffWithDupRequest(int value)` Sets as the search value the number of times that writes were canceled since a duplicate request was received.

Field Detail

### ATTR_ID

    public static final java.lang.String ATTR_ID

  The attribute ID of this attribute.

  (ATTR_ID = "ServerDiagnostics")

### attrID

    public static final java.lang.String attrID

  Deprecated. This member will be removed. Use ATTR_ID instead.

Method Detail

### getServerUpTime

    public int getServerUpTime()
                        throws com.novell.service.jncp.NSIException

  Returns the time in ticks (about 1/18 second) since the server was started. When ServerUpTime reaches 0xFFFFFFFF, it wraps to 0.
  Returns:
    The time since the server was started.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getCurrentCPUUtilization

    public int getCurrentCPUUtilization()
                                 throws com.novell.service.jncp.NSIException

  Returns the current percentage of CPU utilization for the server.
  Returns:
    Current CPU utilization.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getReplyCanceledCount

    public int getReplyCanceledCount()
                              throws com.novell.service.jncp.NSIException

  Returns the number of replies that were canceled because the connection was reallocated while the request was being processed.
  Returns:
    The number of canceled replies.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getWriteHeldOffCount

    public int getWriteHeldOffCount()
                             throws com.novell.service.jncp.NSIException

  Returns the number of times that writes were delayed because of a pending TTS(tm) transaction or cache busy condition.
  Returns:
    The number of times write delays occurred.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getWriteHeldOffWithDupRequest

    public int getWriteHeldOffWithDupRequest()
                                      throws com.novell.service.jncp.NSIException

  Returns the number of times that writes were canceled since a duplicate request was received.
  Returns:
    The number of times writes were canceled.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getInvalidRequestTypeCount

    public int getInvalidRequestTypeCount()
                                   throws com.novell.service.jncp.NSIException

  Returns the number of packets received which had an invalid request type or were received after the server was shut down.
  Returns:
    The number of invalid request type packets received.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getBeingAbortedCount

    public int getBeingAbortedCount()
                             throws com.novell.service.jncp.NSIException

  Returns the number of packets received for a connection being terminated.
  Returns:
    The number of packets received.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getAlreadyDoingReallocCount

    public int getAlreadyDoingReallocCount()
                                    throws com.novell.service.jncp.NSIException

  Returns the number of times a connection is requested when a connection already exists.
  Returns:
    The number of times a connection is requested.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getDeAllocInvalidSlotCount

    public int getDeAllocInvalidSlotCount()
                                   throws com.novell.service.jncp.NSIException

  Returns the number of times an attempt was made to deallocate a connection slot that was not valid.
  Returns:
    The number of attempts made to deallocate a connection slot.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getDeAllocBeingProcessedCount

    public int getDeAllocBeingProcessedCount()
                                      throws com.novell.service.jncp.NSIException

  Returns the number of times the server was deallocated because requests were still being processed.
  Returns:
    The number of times the server was deallocated.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getDeAllocForgedPacketCount

    public int getDeAllocForgedPacketCount()
                                    throws com.novell.service.jncp.NSIException

  Returns the number of times the server was deallocated because a forged packet was received.
  Returns:
    The number of times the server was deallocated.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getDeAllocStillTransmittingCount

    public int getDeAllocStillTransmittingCount()
                                         throws com.novell.service.jncp.NSIException

  Returns the number of times the server was deallocated because information was still being transmitted.
  Returns:
    The number of times the server was deallocated.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getStartStationErrorCount

    public int getStartStationErrorCount()
                                  throws com.novell.service.jncp.NSIException

  Returns the number of times the server was unable to allocate a connection for any reason.
  Returns:
    The number of times the server was unable to allocate a connection.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getInvalidSlotCount

    public int getInvalidSlotCount()
                            throws com.novell.service.jncp.NSIException

  Returns the number of requests received for an invalid connection slot.
  Returns:
    The number of requests received.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getBeingProcessedCount

    public int getBeingProcessedCount()
                               throws com.novell.service.jncp.NSIException

  Returns the number of times a duplicate request was received during processing of the first request.
  Returns:
    The number of times a duplicate request was received.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getForgedPacketCount

    public int getForgedPacketCount()
                             throws com.novell.service.jncp.NSIException

  Returns the number of suspicious invalid packets received.
  Returns:
    The number of suspicious invalid packets received.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getStillTransmittingCount

    public int getStillTransmittingCount()
                                  throws com.novell.service.jncp.NSIException

  Returns the number of times a new request is received before a reply to a previous request has been sent.
  Returns:
    The number of times a new request is received.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getReExecuteRequestCount

    public int getReExecuteRequestCount()
                                 throws com.novell.service.jncp.NSIException

  Returns the number of times the requester did not receive the reply and the request had to be reprocessed.
  Returns:
    The number of times the requester did not receive the reply.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getInvalidSequenceNumCount

    public int getInvalidSequenceNumCount()
                                   throws com.novell.service.jncp.NSIException

  Returns the number of request packets the server received from a connection where the sequence number in the packet did not match the current sequence number or the next sequence number.
  Returns:
    The number of invalid sequence number packets.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getDuplicateIsBeingSentAlreadyCount

    public int getDuplicateIsBeingSentAlreadyCount()
                                            throws com.novell.service.jncp.NSIException

  Returns the number of times a duplicate reply was requested when the reply had already been sent.
  Returns:
    The number of times a duplicate reply was requested.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getSentPositiveAcknowledgeCount

    public int getSentPositiveAcknowledgeCount()
                                        throws com.novell.service.jncp.NSIException

  Returns the number of acknowledgments sent by the server (sent when a connection repeats a request being serviced).
  Returns:
    The number of acknowledgments sent by the server.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getSentDuplicateReplyCount

    public int getSentDuplicateReplyCount()
                                   throws com.novell.service.jncp.NSIException

  Returns the number of request packets for which the server had to send a duplicate reply (sent only for requests the server cannot process).
  Returns:
    The number of request packets for which the server had to send a duplicate reply.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getNoMemForStationCtrlCount

    public int getNoMemForStationCtrlCount()
                                    throws com.novell.service.jncp.NSIException

  Returns the number of times the server could not allocate memory to expand the connection table for a new connection.
  Returns:
    The number of times the server could not allocate memory.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getNoAvailableConnsCount

    public int getNoAvailableConnsCount()
                                 throws com.novell.service.jncp.NSIException

  Returns the number of times no slots were available in the connection table for a new connection.
  Returns:
    The number of times no slots were available.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getReallocSlotCount

    public int getReallocSlotCount()
                            throws com.novell.service.jncp.NSIException

  Returns the number of times the server reallocated the same slot in the connection table for a client that logged out and relogged in.
  Returns:
    The number of times the server reallocated the same slot in the connection table.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getReallocSlotCameTooSoonCount

    public int getReallocSlotCameTooSoonCount()
                                       throws com.novell.service.jncp.NSIException

  Returns the number of times that a request came from a client to relog in before that client had been completely logged out.
  Returns:
    The number of times that a request came from a client to relog in.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getTooManyHops

    public short getTooManyHops()
                         throws com.novell.service.jncp.NSIException

  Returns the number of packets discarded because they had passed through more than 16 bridges without reaching their destination.
  Returns:
    The number of packets discarded.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getUnknownNetwork

    public short getUnknownNetwork()
                            throws com.novell.service.jncp.NSIException

  Returns the number of packets discarded because their destination network was unknown to the server.
  Returns:
    The number of packets discarded.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getNoSpaceForService

    public short getNoSpaceForService()
                               throws com.novell.service.jncp.NSIException

  Reserved (pass 0).
  Returns:
    Zero (0).
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getNoReceiveBuffers

    public short getNoReceiveBuffers()
                              throws com.novell.service.jncp.NSIException

  Returns the number of times a packet was discarded because no buffers existed to receive it.
  Returns:
    The number of times a packet was discarded.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getNotMyNetwork

    public short getNotMyNetwork()
                          throws com.novell.service.jncp.NSIException

  Returns the number of received packets not destined for the server.
  Returns:
    The number of received packets.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getNetBIOSProgatedCount

    public int getNetBIOSProgatedCount()
                                throws com.novell.service.jncp.NSIException

  Returns the number of NetBIOS packets received that were sent forward.
  Returns:
    The number of NetBIOS packets received.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getTotalPacketsServiced

    public int getTotalPacketsServiced()
                                throws com.novell.service.jncp.NSIException

  Returns the total packets received by the server.
  Returns:
    The total packets received.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getTotalPacketsRouted

    public int getTotalPacketsRouted()
                              throws com.novell.service.jncp.NSIException

  Returns the number of all packets forwarded by the server.
  Returns:
    The number of all packets forwarded.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setServerUpTime

    public void setServerUpTime(int upTime)
                         throws com.novell.service.jncp.NSIException

  Sets as the search value the time in ticks (about 1/18 second) since the server was started. This is used to search for all servers matching the upTime parameter.
  Parameters:
    `upTime` - The time since the server was started.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setCurrentCPUUtilization

    public void setCurrentCPUUtilization(int utilization)
                                  throws com.novell.service.jncp.NSIException

  Sets as the search value the current percentage of CPU utilization for the server. This is used to search for all servers matching the upTime parameter.
  Parameters:
    `utilization` - The current percentage of CPU utilization for the server.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setReplyCanceledCount

    public void setReplyCanceledCount(int value)
                               throws com.novell.service.jncp.NSIException

  Sets as the search value the number of replies that were canceled because the connection was reallocated while the request was being processed. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of canceled replies.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setWriteHeldOffCount

    public void setWriteHeldOffCount(int value)
                              throws com.novell.service.jncp.NSIException

  Sets as the search value the number of times that writes were delayed because of a pending TTS(tm) transaction or cache busy condition. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - the number of times that writes were delayed.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setWriteHeldOffWithDupRequest

    public void setWriteHeldOffWithDupRequest(int value)
                                       throws com.novell.service.jncp.NSIException

  Sets as the search value the number of times that writes were canceled since a duplicate request was received. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of times that writes were canceled.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setInvalidRequestTypeCount

    public void setInvalidRequestTypeCount(int value)
                                    throws com.novell.service.jncp.NSIException

  Sets as the search value the number of packets received that had an invalid request type or were received after the server was shut down. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of packets received.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setBeingAbortedCount

    public void setBeingAbortedCount(int value)
                              throws com.novell.service.jncp.NSIException

  Sets as the search value the number of packets received for a connection being terminated. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of packets received.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setAlreadyDoingReallocCount

    public void setAlreadyDoingReallocCount(int value)
                                     throws com.novell.service.jncp.NSIException

  Sets as the search value the number of times that a connection is requested when a connection already exists. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of times a connection is requested.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setDeAllocInvalidSlotCount

    public void setDeAllocInvalidSlotCount(int value)
                                    throws com.novell.service.jncp.NSIException

  Sets as the search value the number of times an attempt was made to deallocate a connection slot that was not valid. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of times an attempt was made to deallocate a connection slot.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setDeAllocBeingProcessedCount

    public void setDeAllocBeingProcessedCount(int value)
                                       throws com.novell.service.jncp.NSIException

  Sets as the search value the number of times the server was deallocated because requests were still being processed. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of times the server was deallocated.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setDeAllocForgedPacketCount

    public void setDeAllocForgedPacketCount(int value)
                                     throws com.novell.service.jncp.NSIException

  Sets as the search value the number of times the server was deallocated because a forged packet was received. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of times the server was deallocated.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setDeAllocStillTransmittingCount

    public void setDeAllocStillTransmittingCount(int value)
                                          throws com.novell.service.jncp.NSIException

  Sets as the search value the number of times the server was deallocated because information was still being transmitted. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of times the server was deallocated.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setStartStationErrorCount

    public void setStartStationErrorCount(int value)
                                   throws com.novell.service.jncp.NSIException

  Sets as the search value the number of times the server was unable to allocate a connection for any reason. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of times the server was unable to allocate a connection.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setInvalidSlotCount

    public void setInvalidSlotCount(int value)
                             throws com.novell.service.jncp.NSIException

  Sets as the search value the number of requests received for an invalid connection slot. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of requests received.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setBeingProcessedCount

    public void setBeingProcessedCount(int value)
                                throws com.novell.service.jncp.NSIException

  Sets as the search value the number of times a duplicate request was received during processing of the first request. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of times a duplicate request was received.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setForgedPacketCount

    public void setForgedPacketCount(int value)
                              throws com.novell.service.jncp.NSIException

  Sets as the search value the number of suspicious invalid packets received. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of suspicious invalid packets received.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setStillTransmittingCount

    public void setStillTransmittingCount(int value)
                                   throws com.novell.service.jncp.NSIException

  Sets as the search value the number of times a new request is received before a reply to a previous request has been sent. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of times a new request is received.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setReExecuteRequestCount

    public void setReExecuteRequestCount(int value)
                                  throws com.novell.service.jncp.NSIException

  Sets as the search value the number of times the requester did not receive the reply and the request had to be reprocessed. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of times the requester did not receive the reply.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setInvalidSequenceNumCount

    public void setInvalidSequenceNumCount(int value)
                                    throws com.novell.service.jncp.NSIException

  Sets as the search value the number of request packets the server received from a connection where the sequence number in the packet did not match the current or the next sequence number. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of request packets the server received.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setDuplicateIsBeingSentAlreadyCount

    public void setDuplicateIsBeingSentAlreadyCount(int value)
                                             throws com.novell.service.jncp.NSIException

  Sets as the search value the number of times a duplicate reply was requested when the reply had already been sent. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of times a duplicate reply was requested.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setSentPositiveAcknowledgeCount

    public void setSentPositiveAcknowledgeCount(int value)
                                         throws com.novell.service.jncp.NSIException

  Sets as the search value the number of acknowledgments sent by the server (sent when a connection repeats a request being serviced). This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of acknowledgments sent by the server.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setSentDuplicateReplyCount

    public void setSentDuplicateReplyCount(int value)
                                    throws com.novell.service.jncp.NSIException

  Sets as the search value the number of request packets for which the server had to send a duplicate reply (sent only for requests the server cannot process). This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of request packets.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setNoMemForStationCtrlCount

    public void setNoMemForStationCtrlCount(int value)
                                     throws com.novell.service.jncp.NSIException

  Sets as the search value the number of times the server could not allocate memory to expand the connection table for a new connection. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of times the server could not allocate memory.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setNoAvailableConnsCount

    public void setNoAvailableConnsCount(int value)
                                  throws com.novell.service.jncp.NSIException

  Sets as the search value the number of times no slots were available in the connection table for a new connection. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of times no slots were available in the connection table for a new connection.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setReallocSlotCount

    public void setReallocSlotCount(int value)
                             throws com.novell.service.jncp.NSIException

  Sets as the search value the number of times the server reallocated the same slot in the connection table for a client that logged out and relogged in. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of times the server reallocated the same slot.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setReallocSlotCameTooSoonCount

    public void setReallocSlotCameTooSoonCount(int value)
                                        throws com.novell.service.jncp.NSIException

  Sets as the search value the number of times that a request came from a client to relog in before that client had been completely logged out. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of times that a request came from a client to relog in.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setTooManyHops

    public void setTooManyHops(short value)
                        throws com.novell.service.jncp.NSIException

  Sets as the search value the number of packets discarded because they had passed through more than 16 bridges without reaching their destination. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of packets discarded.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setUnknownNetwork

    public void setUnknownNetwork(short value)
                           throws com.novell.service.jncp.NSIException

  Sets as the search value the number of packets discarded because their destination network was unknown to the server. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of packets discarded.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setNoSpaceForService

    public void setNoSpaceForService(short value)
                              throws com.novell.service.jncp.NSIException

  Sets as the search value zero (0)because it is reserved.
  Parameters:
    `value` - Zero because it is reserved.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setNoReceiveBuffers

    public void setNoReceiveBuffers(short value)
                             throws com.novell.service.jncp.NSIException

  Sets as the search value the number of times a packet was discarded because no buffers existed to receive it. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of times a packet was discarded.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setNotMyNetwork

    public void setNotMyNetwork(short value)
                         throws com.novell.service.jncp.NSIException

  Sets as the search value the number of received packets not destined for the server. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of received packets.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setNetBIOSProgatedCount

    public void setNetBIOSProgatedCount(int value)
                                 throws com.novell.service.jncp.NSIException

  Sets as the search value the number of NetBIOS packets received that were sent forward. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of NetBIOS packets received.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setTotalPacketsServiced

    public void setTotalPacketsServiced(int value)
                                 throws com.novell.service.jncp.NSIException

  Sets as the search value the total packets received by the server. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The total packets received by the server.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setTotalPacketsRouted

    public void setTotalPacketsRouted(int value)
                               throws com.novell.service.jncp.NSIException

  Sets as the search value the number of all packets forwarded by the server. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of all packets forwarded by the server.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD